<?php
	class UsuarioController extends UsuarioModel {
		private $idTipoUsuario;
		private $idTerminal;
		private $nome;
		private $genero;
		private $bi;
		private $email;
		private $nomeUsuario;
		private $estado;

		// public function __construct($idTipoUsuario, $idTerminal, $nome, $genero, $bi, $email, $nomeUsuario, $estado){
		public function __construct($idTipoUsuario, $idTerminal, $nome, $email, $nomeUsuario, $estado){
            $this->idTipoUsuario = $idTipoUsuario;
			$this->idTerminal = $idTerminal;
            $this->nome = $nome;
			// $this->genero = $genero;
			// $this->bi = $bi;
            $this->email = $email;
			$this->nomeUsuario = $nomeUsuario;
			$this->estado = $estado;
		}

		public function eraseUsuario($idUsuario){
			$this->deleteUsuario($idUsuario);
			$this->deleteImg($idUsuario);
		}

		public function deleteImg($idUsuario){
			$img = $this->fotoPerfil($idUsuario);
			$nameImg = "../../images/fotoPerfil/" . $img[0]["imagem"];
			$fileInfo = glob($nameImg);
			$fileExt = explode(".", $fileInfo[0]);
			$fileActualExt = $fileExt[5];
			print_r($nameImg);

        	$file = $nameImg;
			unlink($file);
		}

		public function updateUser($idUsuario){
			$result = $this->editUsuario($idUsuario, $this->idTipoUsuario, $this->idTerminal, $this->nome, $this->genero, $this->bi, $this->email, $this->nomeUsuario, $this->estado);

			return $result;
		}

		public function createUsuario(){
            //$this->checks();
			$result = $this->insertUsuario($this->idTipoUsuario, $this->idTerminal, $this->nome, $this->genero, $this->bi, $this->email, $this->nomeUsuario, $this->estado);
			return $result;
		}

		public function verifySetTurma($result){
			if($result[0]["idemail"] == 2){
				$turma = $this->readTurma();
				for($i = 0; $i < count($turma); $i++){
					$turmaAluno = "";
					if($turma[$i]["capacidade"] != 0){
						$turmaAluno = $this->setTurmaAluno($turma[$i]["idTurma"], $result[0]["idUsuario"]);
						$this->updateTurma($turma[$i]["idTurma"], $turma[$i]["capacidade"]);
						break;
					}
				}
			}
			return $turmaAluno;
		}

		public function updateTurma($idTurma, $capacidade){
			$decremento = $capacidade - 1;
			$result = $this->editTurma($idTurma, $decremento);
			return $result;
		}

		public function setTurmaAluno($idTurma, $idAluno){
			$result = $this->insertTurmaAluno($idTurma, $idAluno);
			return $result;
		}

		public function emptyEntry(){
			if(empty($this->nome)){
				$this->nome = "estudante";
				$result = false;
			} else {
				$this->nome = strtolower(str_replace(" ", "-", $this->nome));
				$result = true;
			}
			return $result;
		}

		public function emptyInput(){
			if(empty($this->nome)){
				$result = false;
			} else {
				$result = true;
			}
			return $result;
		}

	}